import store from '@/store/index.js';
import {login} from '@/api/user.js';
//获取用户信息
// export function getUserProfile(onAuthSuccess) {
// 	uni.getUserProfile({
// 	  provider: 'weixin',
// 	  desc: '用于完善用户信息',
// 	  success: (res) => {
// 	    const { nickName, avatarUrl } = res.userInfo;
// 			onAuthSuccess(nickName, avatarUrl);
// 	  },
// 	});
// }

export function getLogin() {
	return new Promise((resolve, reject) => {
		// const { sessionKey } = store.state.userInfo;
		// if (!sessionKey) {
			wx.login({
				onlyAuthorize: true,
				success(data) {
					console.log('登录参数', data, uni.getStorageSync('sessionId'))
					login(data.code).then(res => {
						uni.setStorageSync('sessionId', res.sessionId);
						resolve('登录成功');
					});
				},
				fail(err) {
					console.log('login fail', err);
					uni.showToast({
						title: '登录错误',
						icon: 'none'
					});
					reject('登录错误');
				},
			});
		// } else {
			// resolve('免登录');
		// }
	})
}